OGRE-Next: Ogre::CompositorPassUavDef::TextureSource Struct Reference

| OGRE-Next 3.0.0 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
Ogre::CompositorPassUavDef::TextureSource Struct Reference

`#include <OgreCompositorPassUavDef.h>`

## Public Member Functions
| TextureSource (uint32 _uavSlot, IdString _textureName, bool _isExternal, ResourceAccess::ResourceAccess _access, uint8 _mipmapLevel, PixelFormatGpu _pixelFormat)

## Public Attributes
ResourceAccess::ResourceAccess | access
bool | isExternal
uint8 | mipmapLevel
PixelFormatGpu | pixelFormat
IdString | textureName
| Name of the texture (can come from input channel, local textures, or global ones) Not used if externalTextureName is not empty.
uint32 | uavSlot
| Index of texture unit state to change.

## Constructor & Destructor Documentation

## ◆ TextureSource()

Ogre::CompositorPassUavDef::TextureSource::TextureSource | ( | uint32 | _uavSlot,
|  | IdString | _textureName,
|  | bool | _isExternal,
|  | ResourceAccess::ResourceAccess | _access,
|  | uint8 | _mipmapLevel,
|  | PixelFormatGpu | _pixelFormat )
| inline

References access, isExternal, mipmapLevel, pixelFormat, textureName, and uavSlot.

## Member Data Documentation

## ◆ access

ResourceAccess::ResourceAccess Ogre::CompositorPassUavDef::TextureSource::access

Referenced by TextureSource().

## ◆ isExternal

bool Ogre::CompositorPassUavDef::TextureSource::isExternal

Referenced by TextureSource().

## ◆ mipmapLevel

uint8 Ogre::CompositorPassUavDef::TextureSource::mipmapLevel

Referenced by TextureSource().

## ◆ pixelFormat

PixelFormatGpu Ogre::CompositorPassUavDef::TextureSource::pixelFormat

Referenced by TextureSource().

## ◆ textureName

IdString Ogre::CompositorPassUavDef::TextureSource::textureName

Name of the texture (can come from input channel, local textures, or global ones) Not used if externalTextureName is not empty.

Referenced by TextureSource().

## ◆ uavSlot

uint32 Ogre::CompositorPassUavDef::TextureSource::uavSlot

Index of texture unit state to change.

Referenced by TextureSource().

The documentation for this struct was generated from the following file:

- OgreCompositorPassUavDef.h